Manage Views
Create a view
post
/api/viewsCreate a view.
Parameters 1
datasetqueryReferences Dataset
Optional dataset to query across. Defaults to whatever is configured to be the default dataset for the organization.
stringpattern
"^[a-zA-Z0-9_-]{3,26}$"bash
Sample request1234567891011121314151617181920212223242526272829curl --request POST 'https://api.eu-west-1.aws.dash0.com/api/views' \--header "Authorization: Bearer ${DASH0_AUTH_TOKEN}" \--header 'Content-Type: application/json' \--data-raw '{"kind": "Dash0View","metadata": {"name": "Example"},"spec": {"type": "resources","display": {"name": "Example"},"filter": [{"key": "service.name","operator": "is","value": "shop"}],"implicitFilter": [{"key": "service.name","operator": "is","value": "shop"}]}}'
Request body required
References ViewDefinition
Responses
The created view.
References ViewDefinition